import { jsx as _jsx } from "react/jsx-runtime";
import { memo, useEffect, useState } from 'react';
import { useComponent } from '@brushes/qj-simulate-component';
import { _ } from '@brushes/tools';
const { isUndefined, isEmpty } = _;
const CubeJsx = ({ defaultValue, type, borderRadius, marginBottom, marginTop, selectImg }) => {
    const [list, setList] = useState(defaultValue);
    const { View } = useComponent();
    useEffect(() => {
        const computedArr = selectImg
            .filter((item) => !isUndefined(item))
            .filter((item) => !Object.values(item).every((citem) => isUndefined(citem)));
        let arr = defaultValue;
        if (!isEmpty(computedArr)) {
            arr = computedArr;
        }
        setList(arr);
    }, [selectImg]);
    return (_jsx(View, Object.assign({ className: `cube-type${type}` }, { children: list.map((item, index) => {
            return type === 1 ? (_jsx("img", { src: item.imgUrl, style: {
                    width: '100%',
                    borderRadius: borderRadius + 'px'
                } }, index)) : (_jsx(View, { className: 'block', style: {
                    backgroundImage: `url(${item.imgUrl})`,
                    width: '100%',
                    borderRadius: borderRadius + 'px'
                }, onClick: () => {
                    if (process.env.TARO_ENV === 'weapp') {
                        // Taro?.navigateTo({
                        //   url: item.link,
                        // })
                    }
                } }, index));
        }) })));
};
export const Cube = memo(CubeJsx);
