var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { jsx as _jsx, Fragment as _Fragment, jsxs as _jsxs } from "react/jsx-runtime";
import { memo, useEffect, useState } from 'react';
import { useComponent } from '@brushes/qj-simulate-component';
import { SEARCH } from '../../static';
import { Tabs, Skeleton } from 'antd-mobile';
import { getResourceGoodsInfoBySkuCode } from '@brushes/api';
import { _ } from '@brushes/tools';
import GoodsDetailPromotion from './components/goodsDetailPromotion';
import GoodsDetailCoupon from './components/goodsDetailCoupon';
import GoodsDetailInfo from './components/goodsDetailInfo';
import EvaluateList from '../../common/evaluateList';
const { isEmpty } = _;
const GoodsDetailJsx = () => {
    const { View, Text } = useComponent();
    const [goods, setGoods] = useState({});
    useEffect(() => {
        getData();
    }, []);
    const getData = () => __awaiter(void 0, void 0, void 0, function* () {
        const result = yield getResourceGoodsInfoBySkuCode({
            skuCode: '640606075082915874'
        });
        console.log(22, result);
        setGoods(result);
    });
    return (_jsx(View, Object.assign({ className: 'GoodsDetailWrap' }, { children: isEmpty(goods) ? (_jsxs(_Fragment, { children: [_jsx(Skeleton, { animated: true, style: {
                        '--width': '100%',
                        '--height': '300px'
                    } }), _jsx(Skeleton.Title, { animated: true }), _jsx(Skeleton.Paragraph, { lineCount: 10, animated: true })] })) : (_jsxs(_Fragment, { children: [_jsxs(View, Object.assign({ className: 'goodsDetail-topInfo' }, { children: [_jsxs(View, { children: [_jsx(Text, Object.assign({ className: 'name' }, { children: goods === null || goods === void 0 ? void 0 : goods.goodsName })), _jsxs(Text, Object.assign({ className: 'price' }, { children: ["\uFFE5", goods === null || goods === void 0 ? void 0 : goods.pricesetNprice.toFixed(2)] }))] }), _jsxs(View, Object.assign({ className: 'rPart' }, { children: [_jsx("img", { src: SEARCH, alt: "", className: 'icon' }), _jsx(Text, Object.assign({ className: 'txt' }, { children: "\u5DF2\u6536\u85CF" }))] }))] })), _jsx(GoodsDetailPromotion, {}), _jsx(GoodsDetailCoupon, {}), _jsxs(Tabs, { children: [_jsx(Tabs.Tab, Object.assign({ title: "\u5546\u54C1\u8BE6\u60C5" }, { children: _jsx(GoodsDetailInfo, { goodsData: goods }) }), "detail"), _jsx(Tabs.Tab, Object.assign({ title: "\u5546\u54C1\u8BC4\u4EF7" }, { children: _jsx(EvaluateList, {}) }), "evaluate")] })] })) })));
};
export const GoodsDetail = memo(GoodsDetailJsx);
