var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { memo, useEffect, useRef, useState } from 'react';
import { Loading, ScrollView, useComponent } from '@brushes/qj-simulate-component';
import { find } from '@brushes/api';
import { QjMobileIcon } from '../../common/icon';
const GoodsListJsx = () => {
    const { View, Text } = useComponent();
    const [list, setList] = useState([]);
    const [active, setActive] = useState('1');
    const sortField = useRef('pricesetNprice');
    const order = useRef('asc');
    const [loading, setLoading] = useState(false);
    useEffect(() => {
        getData();
    }, []);
    const getData = (sortField = 'pricesetNprice', order = 'asc') => __awaiter(void 0, void 0, void 0, function* () {
        setLoading(true);
        const response = yield find({
            distinctField: 'goodsNo',
            sortField: sortField,
            order: order,
            goodsType: '00,50',
            page: 1,
            rows: 10
        });
        setLoading(false);
        setList((prevState) => prevState.concat(response.list));
    });
    const handleSort = (e) => {
        const type = e.target.dataset.type;
        setActive(type);
        console.log(30, sortField, order, type);
        // switch (type) {
        //   case '1':
        //     sortField.current = 'pricesetNprice';
        //     order.current = 'asc';
        //     break
        //   case '2':
        //     sortField.current = '';
        //     order.current = 'desc';
        //     break;
        //   case '3':
        //     sortField.current = 'pricesetNprice';
        //     order.current = type === '3' && order.current === 'asc' ? 'desc' : 'asc'
        //     break
        //   case '4':
        //     sortField.current = 'pricesetNprice';
        //     order.current = type === '4' && order.current === 'asc' ? 'desc' : 'asc'
        //     break
        // }
        getData(sortField.current, order.current);
    };
    return (_jsxs(View, Object.assign({ className: 'goodsList' }, { children: [_jsxs(View, Object.assign({ className: 'topInfo' }, { children: [_jsxs(View, Object.assign({ className: 'search' }, { children: [_jsx(QjMobileIcon, { value: "fenxiang" }), _jsx(Text, Object.assign({ className: 'title' }, { children: "\u641C\u7D22\u5546\u54C1" }))] })), _jsxs(View, Object.assign({ className: 'sortWrap' }, { children: [_jsx(View, Object.assign({ className: `sortItem ${active === '1' ? 'active' : ''}`, onClick: handleSort }, { children: "\u9ED8\u8BA4" })), _jsx(View, Object.assign({ "data-type": 'pricesetNprice', className: `sortItem ${active === '2' ? 'active' : ''}`, onClick: handleSort }, { children: "\u65B0\u54C1" })), _jsx(View, Object.assign({ "data-order": order.current === 'asc' ? 'desc' : 'asc', className: `sortItem ${active === '3' ? 'active' : ''}`, onClick: handleSort }, { children: "\u9500\u91CF" })), _jsx(View, Object.assign({ "data-order": order.current === 'asc' ? 'desc' : 'asc', className: `sortItem ${active === '4' ? 'active' : ''}`, onClick: handleSort }, { children: "\u4EF7\u683C" }))] }))] })), _jsx(View, Object.assign({ className: 'listWrap' }, { children: _jsxs(ScrollView, Object.assign({ onScroll: getData, style: { height: '100vh' } }, { children: [_jsx(View, Object.assign({ className: 'list' }, { children: list.map((item) => {
                                return (_jsxs(View, Object.assign({ className: 'listItem' }, { children: [_jsx(View, { className: 'img', style: { backgroundImage: `url(${item.dataPic})` } }), _jsx(Text, Object.assign({ className: 'name' }, { children: item.goodsName })), _jsxs(Text, Object.assign({ className: 'price' }, { children: ["\uFFE5 ", item.pricesetNprice.toFixed(2)] }))] }), item.skuCode));
                            }) })), loading ? _jsx(Loading, {}) : null] })) }))] })));
};
export const GoodsList = memo(GoodsListJsx);
